#pragma once

#include <maps/wikimap/mapspro/libs/acl/include/aclgateway.h>
#include <maps/libs/auth/include/tvm.h>

#include <string>
namespace maps::wiki::aclsrv::idm {

struct RequestData
{
    std::string login;
    acl::IDMRole role;
};

std::string info();
std::string addRole(const std::string& requestBody, acl::ACLGateway gw);
std::string removeRole(const std::string& requestBody, acl::ACLGateway gw);
std::string getAllRoles(acl::ACLGateway gw);
bool isIDM(const maps::auth::TvmId tvmId);

} // namespace maps::wiki::aclsrv::idm
